org.springframework.cloud.dataflow.server.config.apps

## Class CommonApplicationProperties

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.apps.CommonApplicationProperties

-     @ConfigurationProperties(value="spring.cloud.dataflow.application-properties")
      public class CommonApplicationProperties
      extends Object

  Common properties for applications deployed via Spring Cloud Data Flow. Those properties are passed to all Stream or Task applications deployed via Spring Cloud Data Flow. One can pass common Stream application properties directly using the stream properties: `spring.cloud.dataflow.application-properties.stream.[key].[value]` Or by providing an external properties file using the spring.cloud.dataflow.application-properties.stream-resource reference. By default the META-INF/application-stream-common-properties-defaults.yml is used. Similarly you can use the spring.cloud.dataflow.application-properties.task.[key].[value] or spring.cloud.dataflow.application-properties.task-resource to define Task common properties. By default the META-INF/application-task-common-properties-defaults.yml properties are applied. Note: the stream-resource and task-resource approach allows to pass property placeholders (e.g. ${}) to the deployed applications. The direct stream.* and task.* approach will resolve such placeholders before they are passed to the deployed applications.
  Author:
    Marius Bogoevici, Janne Valkealahti, Christian Tzolov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonApplicationProperties()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getStream()`
    `org.springframework.core.io.Resource` | `getStreamResource()`
    `Optional<Properties>` | `getStreamResourceProperties()`
    `Map<String,String>` | `getTask()`
    `org.springframework.core.io.Resource` | `getTaskResource()`
    `Optional<Properties>` | `getTaskResourceProperties()`
    `static Optional<Properties>` | `resourceToProperties(org.springframework.core.io.Resource resource)`
    `void` | `setStream(Map<String,String> stream)`
    `void` | `setStreamResource(org.springframework.core.io.Resource streamResource)`
    `void` | `setTask(Map<String,String> task)`
    `void` | `setTaskResource(org.springframework.core.io.Resource taskResource)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonApplicationProperties

          public CommonApplicationProperties()

  - ### Method Detail

    - #### getStream

          public Map<String,String> getStream()

    - #### setStream

          public void setStream(Map<String,String> stream)

    - #### getTask

          public Map<String,String> getTask()

    - #### setTask

          public void setTask(Map<String,String> task)

    - #### getStreamResource

          public org.springframework.core.io.Resource getStreamResource()

    - #### setStreamResource

          public void setStreamResource(org.springframework.core.io.Resource streamResource)

    - #### getTaskResource

          public org.springframework.core.io.Resource getTaskResource()

    - #### setTaskResource

          public void setTaskResource(org.springframework.core.io.Resource taskResource)

    - #### getStreamResourceProperties

          public Optional<Properties> getStreamResourceProperties()

    - #### getTaskResourceProperties

          public Optional<Properties> getTaskResourceProperties()

    - #### resourceToProperties

          public static Optional<Properties> resourceToProperties(org.springframework.core.io.Resource resource)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.